.post {
  width: 100%;
  margin: 30px 0;
  border-radius: 10px;
  box-shadow: 2px 4px 10px 1px rgba(201, 201, 201, 0.47);
  -webkit-box-shadow: 2px 4px 10px 1px rgba(0, 0, 0, 0.47);

  .post_wrapper {
    padding: 20px;

    .post_top {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .post_top__left {
        display: flex;
        align-items: center;

        .post_top__left_img {
          width: 40px;
          height: 40px;
          border-radius: 50%;
          object-fit: cover;
          cursor: pointer;
        }

        .post_top__left__name {
          font-size: 15px;
          font-weight: 500;
          margin: 0 10px;
          cursor: pointer;
        }

        .post_top__left__date {
          font-size: 14px;
          color: #80808099;
        }
      }

      .post_top__right {
        .post_top__right__button {
          font-size: 30px;
          color: #333;
          cursor: pointer;
        }
      }
    }

    .post_center {
      margin: 20px 0;

      .post_center_img {
        width: 100%;
        max-height: 500px;
        object-fit: contain;
        margin-top: 20px;
        cursor: pointer;
      }
    }

    .post_bottom {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .post_bottom__left {
        display: flex;
        align-items: center;
        gap: 10px;

        .post_bottom__left__icon {
          font-size: 30px;
          cursor: pointer;
        }

        .post_bottom__left__like-counter {
          font-size: 15px;
        }
      }

      .post_bottom__right {
        .post_bottom__right__comment {
          font-size: 15px;
          cursor: pointer;
        }
      }
    }

    .post_hr {
      margin: 10px 0;
    }

    .post_footer {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .post_footer__item {
        display: flex;
        align-items: center;
        padding: 7px;
        cursor: pointer;

        .post_footer__item__icon {
          font-size: 30px;
          margin-right: 10px;
          color: #333;
        }

        .post_footer__item__text {
          font-weight: 500;
        }
      }
    }
  }
}
